找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 915|回复: 5

[每日一码] 增加多段线顶点

[复制链接]

已领礼包: 19个

财富等级: 恭喜发财

发表于 2021-1-19 09:31:56 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×
  1. (defun c:addvertex (/ ent i nlst obj p pt x)
  2.   (vl-load-com)
  3.   (while (setq ent (entsel "\nSelect point on polyline to add vertex: "))
  4.     (if        (and ent (= (cdr (assoc 0 (entget (car ent)))) "LWPOLYLINE"))
  5.       (progn (setq i        (fix (vlax-curve-getparamatpoint
  6.                                (car ent)
  7.                                (setq p (vlax-curve-getclosestpointto (car ent) (cadr ent)))
  8.                              )
  9.                         )
  10.                    obj        (vlax-ename->vla-object (car ent))
  11.                    pt        (vlax-curve-getpointatparam (car ent) i)
  12.                    nlst        nil
  13.              )
  14.              (mapcar '(lambda (x)
  15.                         (if (equal x (list 10 (car pt) (cadr pt)) 0.0001)
  16.                           (setq        nlst (cons x nlst)
  17.                                 nlst (cons (list 10 (car p) (cadr p)) nlst)
  18.                           )
  19.                           (setq nlst (cons x nlst))
  20.                         )
  21.                       )
  22.                      (entget (car ent))
  23.              )
  24.              (entmod (reverse nlst))
  25.              (entupd (car ent))
  26.              (sssetfirst nil (ssadd (car ent)))
  27.       )
  28.     )
  29.   )
  30.   (sssetfirst nil)
  31.   (princ)
  32. )

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!

已领礼包: 2230个

财富等级: 金玉满堂

发表于 2021-1-19 10:01:18 | 显示全部楼层
做个对论坛有益的人。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2021-8-7 16:02:54 | 显示全部楼层
学习了,有用
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2023-12-22 15:48:20 | 显示全部楼层
学习了,有用
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 1个

财富等级: 恭喜发财

发表于 2024-5-13 15:30:47 | 显示全部楼层
好用,感谢分享!!!!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-6-15 13:12 , Processed in 0.340250 second(s), 39 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表